import ctypes

import uldaq
from IPython import embed
from pyrelacs.repros.repos import MccDac
from pyrelacs.util.logging import config_logging
import numpy as np
import matplotlib.pyplot as plt

log = config_logging()


class Output_daq(MccDac):
    def __init__(self) -> None:
        super().__init__()

    def write_daq(self):
        log.debug("running repro")
        time = np.arange(0, 10, 1 / 30_000.0)
        data = 1 * np.sin(2 * np.pi * 1 * time)
        self.write_analog(data, [0, 0], 30_000, ScanOption=uldaq.ScanOption.EXTTRIGGER)
        self.diggital_trigger()


if __name__ == "__main__":
    daq_input = Output_daq()
    daq_input.write_daq()
    # daq_input.trigger()
